Package org.springframework.util

# Class DigestUtils

java.lang.Object
org.springframework.util.DigestUtils

public abstract class DigestUtils extends Object
Miscellaneous methods for calculating digests.

Mainly for internal use within the framework; consider Apache Commons Codec for a more comprehensive suite of digest utilities.

Since:
  3.0
Author:
  Arjen Poutsma, Juergen Hoeller, Craig Andrews

## Constructor Summary

Constructors
Constructor
Description
`DigestUtils()`

## Method Summary

Modifier and Type
Method
Description
`static StringBuilder`
`appendMd5DigestAsHex(byte[] bytes, StringBuilder builder)`
Append a hexadecimal string representation of the MD5 digest of the given bytes to the given `StringBuilder`.
`static StringBuilder`
`appendMd5DigestAsHex(InputStream inputStream, StringBuilder builder)`
Append a hexadecimal string representation of the MD5 digest of the given inputStream to the given `StringBuilder`.
`static byte[]`
`md5Digest(byte[] bytes)`
Calculate the MD5 digest of the given bytes.
`static byte[]`
`md5Digest(InputStream inputStream)`
Calculate the MD5 digest of the given stream.
`static String`
`md5DigestAsHex(byte[] bytes)`
Return a hexadecimal string representation of the MD5 digest of the given bytes.
`static String`
`md5DigestAsHex(InputStream inputStream)`
Return a hexadecimal string representation of the MD5 digest of the given stream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DigestUtils

public DigestUtils()

## Method Details

### md5Digest

public static byte[] md5Digest(byte[] bytes)
Calculate the MD5 digest of the given bytes.

Parameters:
  `bytes` - the bytes to calculate the digest over
Returns:
  the digest

### md5Digest

public static byte[] md5Digest(InputStream inputStream) throws IOException
Calculate the MD5 digest of the given stream.

This method does not close the input stream.

Parameters:
  `inputStream` - the InputStream to calculate the digest over
Returns:
  the digest
Throws:
  `IOException`
Since:
  4.2

### md5DigestAsHex

public static String md5DigestAsHex(byte[] bytes)
Return a hexadecimal string representation of the MD5 digest of the given bytes.

Parameters:
  `bytes` - the bytes to calculate the digest over
Returns:
  a hexadecimal digest string

### md5DigestAsHex

public static String md5DigestAsHex(InputStream inputStream) throws IOException
Return a hexadecimal string representation of the MD5 digest of the given stream.

This method does not close the input stream.

Parameters:
  `inputStream` - the InputStream to calculate the digest over
Returns:
  a hexadecimal digest string
Throws:
  `IOException`
Since:
  4.2

### appendMd5DigestAsHex

public static StringBuilder appendMd5DigestAsHex(byte[] bytes, StringBuilder builder)
Append a hexadecimal string representation of the MD5 digest of the given bytes to the given `StringBuilder`.

Parameters:
  `bytes` - the bytes to calculate the digest over
  `builder` - the string builder to append the digest to
Returns:
  the given string builder

### appendMd5DigestAsHex

public static StringBuilder appendMd5DigestAsHex(InputStream inputStream, StringBuilder builder) throws IOException
Append a hexadecimal string representation of the MD5 digest of the given inputStream to the given `StringBuilder`.

This method does not close the input stream.

Parameters:
  `inputStream` - the inputStream to calculate the digest over
  `builder` - the string builder to append the digest to
Returns:
  the given string builder
Throws:
  `IOException`
Since:
  4.2